Loading...
Searching...
No Matches
Opm::EclipseState Class Reference

## Public Types

enum | EnabledTypes { IntProperties = 0x01 , DoubleProperties = 0x02 , AllProperties = IntProperties | DoubleProperties }

## Public Member Functions

| EclipseState (const Deck &deck)
const IOConfig & | getIOConfig () const
| [[deprecated]] — use cfg().io()
IOConfig & | getIOConfig ()
| [[deprecated]] — use cfg().io()
const InitConfig & | getInitConfig () const
| [[deprecated]] — use cfg().init()
InitConfig & | getInitConfig ()
| [[deprecated]] — use cfg().init()
const SimulationConfig & | getSimulationConfig () const
virtual const EclipseGrid & | getInputGrid () const
const FaultCollection & | getFaults () const
const TransMult & | getTransMult () const
TransMult & | getTransMult ()
const NNC & | getInputNNC () const
| non-neighboring connections the non-standard adjacencies as specified in input deck
const std::vector< NNCdata > & | getPinchNNC () const
| Get sorted vector of NNCs created by PINCH.
void | appendInputNNC (const std::vector< NNCdata > &nnc)
void | setInputNNC (const NNC &nnc)
void | setPinchNNC (std::vector< NNCdata > &&nnc)
| Set NNCs created by PINCH.
bool | hasInputNNC () const
bool | hasPinchNNC () const
virtual const FieldPropsManager & | fieldProps () const
virtual const FieldPropsManager & | globalFieldProps () const
virtual void | computeFipRegionStatistics ()
const FIPRegionStatistics & | fipRegionStatistics () const
const TableManager & | getTableManager () const
const EclipseConfig & | getEclipseConfig () const
| [[deprecated]] — use cfg()
const EclipseConfig & | cfg () const
const GridDims & | gridDims () const
const LgrCollection & | getLgrs () const
bool | hasInputLGR () const
const UnitSystem & | getDeckUnitSystem () const
const UnitSystem & | getUnits () const
const std::string & | getTitle () const
void | apply_schedule_keywords (const std::vector< DeckKeyword > &keywords)
const Runspec & | runspec () const
const AquiferConfig & | aquifer () const
const CompositionalConfig & | compositionalConfig () const
const TracerConfig & | tracer () const
const WagHysteresisConfig & | getWagHysteresis () const
const Co2StoreConfig & | getCo2StoreConfig () const
void | prune_global_for_schedule_run ()
void | reset_actnum (const std::vector< int > &new_actnum)
void | set_active_indices (const std::vector< int > &indices)
void | pruneDeactivatedAquiferConnections (const std::vector< std::size_t > &deactivated_cells)
void | loadRestartAquifers (const RestartIO::RstAquifer &aquifers)
void | appendAqufluxSchedule (const std::unordered_set< int > &ids)
void | loadRestartNetworkPressures (const RestartIO::RstNetwork &network)
const std::optional< std::map< std::string, double > > & | getRestartNetworkPressures () const
template<class Serializer>
void | serializeOp (Serializer &serializer)

## Static Public Member Functions

static bool | rst_cmp (const EclipseState &full_state, const EclipseState &rst_state)

## Protected Attributes

TableManager | m_tables
Runspec | m_runspec
EclipseConfig | m_eclipseConfig
UnitSystem | m_deckUnitSystem
EclipseGrid | m_inputGrid
NNC | m_inputNnc
std::vector< NNCdata > | m_pinchNnc
GridDims | m_gridDims
FieldPropsManager | field_props
LgrCollection | m_lgrs
SimulationConfig | m_simulationConfig
AquiferConfig | aquifer_config
CompositionalConfig | compositional_config
TransMult | m_transMult
TracerConfig | tracer_config
WagHysteresisConfig | wag_hyst_config
Co2StoreConfig | co2_store_config
std::string | m_title {}
FaultCollection | m_faults {}
std::optional< std::map< std::string, double > > | m_restart_network_pressures {std::nullopt}
std::optional< FIPRegionStatistics > | fipRegionStatistics_ {std::nullopt}

The documentation for this class was generated from the following files:

- opm/input/eclipse/EclipseState/EclipseState.hpp
- opm/input/eclipse/EclipseState/EclipseState.cpp